﻿using ProjectXEDWeb.Models.Interface;
using ProjectXEDWeb.Models.Test;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;

namespace ProjectXEDWeb.Models
{
    public class DataManager
    {
        private IOrder _procedure;

        internal IOrder OrderData
        {
            get
            {
                switch (DataSource)
                {
                    default:
                        _procedure = new TOrder();
                        break;
                }
                return _procedure;
            }
        }

        private static ProjectXEDDataSource _dataSourc = ProjectXEDDataSource.None;

        private static ProjectXEDDataSource DataSource
        {
            get
            {
                if (_dataSourc != ProjectXEDDataSource.None)
                    return _dataSourc;
                else
                    _dataSourc = ProjectXEDDataSource.TestSource;
                return _dataSourc;
            }
        }
    }

    public enum ProjectXEDDataSource
    {
        None,
        TestSource
    }
}