﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ProjectXEDWeb.ViewModels
{
    [Serializable]
    public abstract class BaseViewModel
    {
        public DateTimeOffset? CreatedAt { get; set; }

        public bool Deleted { get; set; }

        public string Id { get; set; }

        public DateTimeOffset? UpdatedAt { get; set; }

        //public byte[] Version { get; set; }

        public static string NewId()
        {
            string newId = Guid.NewGuid().ToString();
            while (!Char.IsLetter(newId[0]))
            {
                newId = Guid.NewGuid().ToString();
            }
            return newId;
        }

        public static string NewIdStartingWithAlpha()
        {
            string newId = Guid.NewGuid().ToString();

            while (!Char.IsLetter(newId[0]))
            {
                newId = Guid.NewGuid().ToString();
            }
            return newId;
        }
    }
}