﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Web;

namespace ProjectXEDWeb.ViewModels.Order
{
    /// <summary>
    /// Procedure Model - Static list of ACEM procedures
    /// </summary>
    [Serializable]
    public class Fruit : BaseViewModel
    {
        public string Name { get; set; }

        public string IDCode { get; set; }

        public string Category { get; set; }

        public bool Active { get; set; }

        public string Label
        {
            get
            {
                return string.Format(CultureInfo.InvariantCulture, "{0} - {1}", 
                    IDCode , Name).Trim();
            }
        }
        
    }
}