﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ProjectXEDWeb.ViewModels.Order
{
    /// <summary>
    /// Procecdure nominated as completed by trainee
    /// </summary>
    public class Order : BaseViewModel
    {
        public string FruitID { get; set; }

        public Fruit Fruit { get; set; }

        public override string ToString()
        {
            return Fruit == null ? string.Empty : Fruit.ToString();
        }

        public string FruitCategory
        {
            get
            {
                return Fruit == null ? string.Empty : Fruit.Category;
            }
        }

        public string FruitLabel
        {
            get
            {
                return Fruit == null ? string.Empty : Fruit.Label;
            }
        }
    }
}