﻿using ProjectXEDWeb.ViewModels.Order;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ProjectXEDWeb.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            
            var manager = new Models.DataManager();
            ViewBag.datasource = manager.OrderData.Procedures();

            return View();
        }

        //
        public ActionResult Test()
        {
            var manager = new Models.DataManager();
            ViewBag.datasource = manager.OrderData.Procedures();
            return View();
        }
        public ActionResult BatchDataSource(Syncfusion.JavaScript.DataManager dm)
        {
            var manager = new Models.DataManager();
            IEnumerable<Order> DataSource = manager.OrderData.ProcedureTraineesAll();
            DataResult result = new DataResult();
            result.result = DataSource.Skip(dm.Skip).Take(dm.Take);
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public ActionResult BatchUpdate(List<Order> changed, List<Order> added, List<Order> deleted)
        {
            var manager = new Models.DataManager();
            var data = manager.OrderData.ProcedureTraineesAll();
            return Json(data, JsonRequestBehavior.AllowGet);
        }

        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        //


        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}