﻿using ProjectXEDWeb.Models.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ProjectXEDWeb.ViewModels.Order;

namespace ProjectXEDWeb.Models.Test
{
    public class TOrder : IOrder
    {
        static List<Fruit> _fruits = null;

        static List<Order> _orders = null;
        
        public TOrder()
        {
            if (_fruits == null)
            {
                #region
                _fruits = new List<Fruit>();
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A1", Name = "Apple", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A2", Name = "Pineapple", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A3", Name = "Mango", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A4", Name = "Banana", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A5", Name = "Lemon", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A6", Name = "Grape", Active = true, Category = "Fruit" });
                _fruits.Add(new Fruit() { Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha(), IDCode = "A7", Name = "Melon", Active = true, Category = "Fruit" });
               
                #endregion
            }
            var otherManager = new DataManager();
            if (_orders == null)
            {
                _orders = new List<Order>();
                _orders.Add(new Order() { Fruit = _fruits[0], FruitID = _fruits[0].Id, Id = ViewModels.BaseViewModel.NewIdStartingWithAlpha() });
            }
            
        }

        public IList<Order> ProcedureTraineesAll()
        {
            return _orders;
        }

        

        public IList<Fruit> Procedures()
        {
            return _fruits;
        }

       
    }
}